<?php 
/*******************************************************************
 * 版权协议：2009-2019
 * 版权所有: PHP-北京金南曦网络技术有限公司旗下PHPWMS，PHP商城系统技术支持中心http://www.php188.net，并保留所有权利。 
* PHP商城系统网址: http://www.php188.com
 * PHPWMS系统网址：http://www.phpwms.com
 * 销售电话：010-87875088
 * 销售电话：010-87875188 
*------------------------------------------------------------------
 * 这不是一个完全免费软件！您只能在不用于商业目的的前提下对程序代码进
 * 行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 *------------------------------------------------------------------
 * 文件名称：phpwms.CacheLite.class.php
 * 摘    要：缓存
 * 适用范围：PHPWMS 1.0
 * 版    本：1.0
 *------------------------------------------------------------------
 * Script Written By phpwms项目组
 * 最后更新： 2009-09-24 phpwms 由PHP金南曦网络技术有限公司整理发布
 *******************************************************************/
require dirname(__FILE__).'/CacheLite/Lite.php';
 class php188StaticCache extends Cache_Lite {
 	private  static  $_instance = __CLASS__;
 	public static function getInstance($life_time=0){
 		return self::$_instance = !is_object(self::$_instance)?new self::$_instance($life_time):self::$_instance;
 	}
 	private function _mkdirs($path,$mode = 0777){
 		return mkdirs($path,$mode);
 	}
 	private function __construct($life_time=0){
 		$this->_cacheDir = STATC_CACHE_PATH;
 		if(!is_dir($this->_cacheDir))$this->_mkdirs($this->_cacheDir);
 		$this->_lifeTime = empty($life_time)?CACHE_LIFE_TIME:(int)$life_time;
 	}
 }

 ?>